<div class="body">
  <div class="login">
    <div class="logo" data-aos="zoom-out" data-aos-duration="500">
      <p>اتحاد زیست شناسان</p>
    </div>
    <div class="box" dir="rtl" data-aos="zoom-out" data-aos-duration="500">
      <!-- title -->
      <div class="title">
        <p>
          <a routerLink="/home">
            <fa-icon [icon]="faHome"></fa-icon>
          </a>
          <span> / </span>ورود به اتحاد زیست شناسان
        </p>
      </div>
      <!-- form -->
      <div class="form">
        <form action="" [formGroup]="loginForm" (ngSubmit)="login()">
          <!-- email -->
          <div class="email">
            <label
              for=""
              [ngClass]="{
                'label-error':
                  loginFormControls.email.touched &&
                  loginFormControls.email.invalid
              }"
              >ایمیل</label
            >
            <input
              id="email"
              name="email"
              formControlName="email"
              type="email"
              placeholder="ایمیل خود را وارد نمایید"
              dir="ltr"
              required
            />
          </div>
          <!-- password -->
          <div class="password">
            <div>
              <label
                for=""
                [ngClass]="{
                  'label-error':
                    loginFormControls.password.touched &&
                    loginFormControls.password.invalid
                }"
                >رمز عبور</label
              >
              <a>رمز عبور را فراموش کرده ام</a>
            </div>
            <input
              formControlName="password"
              type="password"
              placeholder="رمز عبور خود را وارد نمایید"
              dir="ltr"
              required
            />
          </div>
          <!-- errors -->
          <div class="errors" *ngIf="!loginForm.valid && loginForm.touched">
            <div
              *ngIf="
                loginFormControls.email.invalid &&
                loginFormControls.email.touched
              "
            >
              - ایمیل را به درستی وارد کنید.
            </div>
            <div
              *ngIf="
                loginFormControls.password.touched &&
                loginFormControls.password.invalid
              "
            >
              - رمز عبور الزامی است.
            </div>
          </div>

          <div class="errors" *ngIf="loginError">
            <div>
              - نام کاربری یا رمز عبور اشتباه است.
            </div>
          </div>

          <!-- login btn -->
          <div class="login-btn">
            <button type="submit" [disabled]="!loginForm.valid">
              <img
                src="../../../assets/images/icon png/log_in_entry_in_sign_in_arrow-512.png"
                alt=""
              />
              <span>ورود به اتحاد زیست شناسان</span>
            </button>
          </div>
        </form>
      </div>
      <div class="bottom">
        <a routerLink="/register">ثبت نام و ایجاد حساب جدید</a>
      </div>
    </div>
  </div>
</div>
